ZenLib::BitStream_Fast Class Reference

`#include <BitStream_Fast.h>`

## Public Member Functions

| BitStream_Fast ()
| BitStream_Fast (const int8u *Buffer_, size_t Size_)
| ~BitStream_Fast ()
void | Attach (const int8u *Buffer_, size_t Size_)
bool | GetB ()
int8u | Get1 (int8u HowMany)
int16u | Get2 (int8u HowMany)
int32u | Get4 (int8u HowMany)
int64u | Get8 (int8u HowMany)
void | Skip (size_t HowMany)
bool | PeekB ()
int8u | Peek1 (int8u HowMany)
int16u | Peek2 (int8u HowMany)
int32u | Peek4 (int8u HowMany)
int64u | Peek8 (int8u HowMany)
size_t | Remain () const
void | Byte_Align ()
size_t | Offset_Get () const
size_t | BitOffset_Get () const
size_t | OffsetBeforeLastCall_Get () const
void | Resize (size_t Size_)

## Public Attributes

bool | BufferUnderRun

## Constructor & Destructor Documentation

## BitStream_Fast() [1/2]

ZenLib::BitStream_Fast::BitStream_Fast | ( |  | ) |

inline

References BufferUnderRun, and NULL.

## BitStream_Fast() [2/2]

ZenLib::BitStream_Fast::BitStream_Fast | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline

References BufferUnderRun.

## ~BitStream_Fast()

ZenLib::BitStream_Fast::~BitStream_Fast | ( |  | ) |

inline

## Member Function Documentation

## Attach()

void ZenLib::BitStream_Fast::Attach | ( | const int8u * | Buffer_,
|  | size_t | Size_ )

inline

References BufferUnderRun.

## BitOffset_Get()

size_t ZenLib::BitStream_Fast::BitOffset_Get | ( |  | ) | const

inline

## Byte_Align()

void ZenLib::BitStream_Fast::Byte_Align | ( |  | ) |

inline

References Skip().

## Get1()

int8u ZenLib::BitStream_Fast::Get1 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

## Get2()

int16u ZenLib::BitStream_Fast::Get2 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

## Get4()

int32u ZenLib::BitStream_Fast::Get4 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

Referenced by Get8().

## Get8()

int64u ZenLib::BitStream_Fast::Get8 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun, and Get4().

## GetB()

bool ZenLib::BitStream_Fast::GetB | ( |  | ) |

inline

References BufferUnderRun.

## Offset_Get()

size_t ZenLib::BitStream_Fast::Offset_Get | ( |  | ) | const

inline

## OffsetBeforeLastCall_Get()

size_t ZenLib::BitStream_Fast::OffsetBeforeLastCall_Get | ( |  | ) | const

inline

## Peek1()

int8u ZenLib::BitStream_Fast::Peek1 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

## Peek2()

int16u ZenLib::BitStream_Fast::Peek2 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

## Peek4()

int32u ZenLib::BitStream_Fast::Peek4 | ( | int8u | HowMany | ) |

inline

References BufferUnderRun.

Referenced by Peek8().

## Peek8()

int64u ZenLib::BitStream_Fast::Peek8 | ( | int8u | HowMany | ) |

inline

References Peek4().

## PeekB()

bool ZenLib::BitStream_Fast::PeekB | ( |  | ) |

inline

References BufferUnderRun.

## Remain()

size_t ZenLib::BitStream_Fast::Remain | ( |  | ) | const

inline

## Resize()

void ZenLib::BitStream_Fast::Resize | ( | size_t | Size_ | ) |

inline

References BufferUnderRun.

## Skip()

void ZenLib::BitStream_Fast::Skip | ( | size_t | HowMany | ) |

inline

References BufferUnderRun.

Referenced by Byte_Align().

## Member Data Documentation

## BufferUnderRun

bool ZenLib::BitStream_Fast::BufferUnderRun

Referenced by Attach(), BitStream_Fast(), BitStream_Fast(), Get1(), Get2(), Get4(), Get8(), GetB(), Peek1(), Peek2(), Peek4(), PeekB(), Resize(), and Skip().

The documentation for this class was generated from the following file:

- BitStream_Fast.h